javax.xml.soap

## Class MimeHeader

- java.lang.Object
- - javax.xml.soap.MimeHeader

-     public class MimeHeader
      extends Object

  An object that stores a MIME header name and its value. One or more `MimeHeader` objects may be contained in a `MimeHeaders` object.
  See Also:
    `MimeHeaders`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MimeHeader(String name, String value)` | Constructs a `MimeHeader` object initialized with the given name and value.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getName()` | Returns the name of this `MimeHeader` object.
    `String` | `getValue()` | Returns the value of this `MimeHeader` object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MimeHeader

          public MimeHeader(String name,
                            String value)

      Constructs a `MimeHeader` object initialized with the given name and value.
      Parameters:
        `name` - a `String` giving the name of the header
        `value` - a `String` giving the value of the header

  - ### Method Detail

    - #### getName

          public String getName()

      Returns the name of this `MimeHeader` object.
      Returns:
        the name of the header as a `String`

    - #### getValue

          public String getValue()

      Returns the value of this `MimeHeader` object.
      Returns:
        the value of the header as a `String`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.